package net.jieyuu.controller;


import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import net.jieyuu.enums.CouponCategoryEnum;
import net.jieyuu.request.NewUserCouponRequest;
import net.jieyuu.service.CouponService;
import net.jieyuu.utils.JsonData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author jieyuu
 * @since 2024-07-15
 */
@RestController
@RequestMapping("/api/coupon/v1")
public class CouponController {

    @Autowired
    private CouponService couponService;

    @ApiOperation("分页查询优惠券")
    @GetMapping("page_coupon")
    public JsonData pageCouponList(
            @ApiParam("当前页")
            @RequestParam(name = "page", defaultValue = "1") int page,
            @ApiParam("显示多少条")
            @RequestParam(name = "size", defaultValue = "10") int size) {
        Map<String, Object> stringObjectMap = couponService.pageCouponActivity(page, size);
        return JsonData.buildSuccess(stringObjectMap);

    }


    @ApiOperation("领取优惠券")
    @GetMapping("add/promotion/{coupon_id}")
    public JsonData addPromotionCoupon(
            @ApiParam(value = "优惠券id", required = true)
            @PathVariable("coupon_id") long couponId) {

        JsonData jsonData = couponService.addCoupon(couponId, CouponCategoryEnum.PROMOTION);
        return jsonData;
    }

    @ApiOperation("拉新发放优惠券")
    @PostMapping("new_user_coupon")
    public JsonData addNewUserCoupon(@ApiParam("用户对象") @RequestBody NewUserCouponRequest newUserCouponRequest) {
        JsonData jsonData = couponService.initNewUserCoupon(newUserCouponRequest);
        return jsonData;

    }

}

