package net.jieyuu.service;


import net.jieyuu.enums.CouponCategoryEnum;
import net.jieyuu.request.NewUserCouponRequest;
import net.jieyuu.utils.JsonData;

import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jieyuu
 * @since 2024-07-15
 */
public interface CouponService {
    /**
     * 分页查询优惠券
     * @param page
     * @param size
     * @return
     */
    Map<String, Object> pageCouponActivity(int page, int size);


    /**
     * 领取优惠券
     * @param couponId
     * @param couponCategoryEnum
     * @return
     */
    JsonData addCoupon(long couponId, CouponCategoryEnum couponCategoryEnum);

    /**
     * 新用户注册发放优惠券
     * @param newUserCouponRequest
     * @return
     */
    JsonData initNewUserCoupon(NewUserCouponRequest newUserCouponRequest);
}
