package net.jieyuu.config;


import lombok.extern.slf4j.Slf4j;
import net.jieyuu.interceptor.LoginInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
@Slf4j
public class InterceptorConfig implements WebMvcConfigurer {

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry
                .addInterceptor(new LoginInterceptor())
                //拦截的路径
                .addPathPatterns("/api/order/*/**")
                //放行的路径
                .excludePathPatterns("api/callback/*/**","api/v1/order/*/query_state");

        WebMvcConfigurer.super.addInterceptors(registry);
    }
}
