package net.jieyuu.vo;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.math.BigDecimal;
import java.util.List;

public class CartVO {
    @JsonProperty("cart_items")
    private List<CartItemVO> cartItems;


    @JsonProperty("total_num")
    private Integer totalNum;
    @JsonProperty("total_amount")
    private BigDecimal totalAmount;

    @JsonProperty("real_pay_amount")
    private BigDecimal realPayAmount;

    public void setCartItems(List<CartItemVO> cartItems) {
        this.cartItems = cartItems;
    }

    public List<CartItemVO> getCartItems() {
        return cartItems;
    }

    public Integer getTotalNum() {
        if (this.cartItems != null) {
            int total = cartItems.stream().mapToInt(CartItemVO::getBuyNum).sum();
            return total;
        }
        return 0;
    }

    /**
     * 总价格
     *
     * @return
     */
    public BigDecimal getTotalAmount() {
        BigDecimal amount = new BigDecimal("0");

        if (this.cartItems != null) {
            for (CartItemVO cartItem : cartItems) {
                BigDecimal itemTotalAmount = cartItem.getTotalAmount();
                amount = amount.add(itemTotalAmount);
            }
        }
        return amount;
    }

    /**
     * 实际价格
     *
     * @return
     */
    public BigDecimal getRealPayAmount() {
        BigDecimal amount = new BigDecimal("0");
        if (this.cartItems != null) {
            for (CartItemVO cartItem : cartItems) {
                BigDecimal itemTotalAmount = cartItem.getTotalAmount();
                amount = amount.add(itemTotalAmount);
            }
        }
        return amount;
    }
}
